Bug 1012587 - (CVE-2013-4375) CVE-2013-4375 xen: qemu disk backend (qdisk) resource leak (XSA-71)
CVE-2013-4375 xen: qemu disk backend (qdisk) resource leak (XSA-71)
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131010,repor...
: Security
Depends On: 1017843 1017844 1017845
Blocks: 1012558
  Show dependency treegraph
 
Reported: 2013-09-26 12:52 EDT by Vincent Danen
Modified: 2015-10-15 16:58 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 12:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-09-26 12:52:25 EDT
The qdisk PV disk backend in the qemu-xen flavour of qemu ("upstream
qemu") can be influenced by a malicious frontend to leak mapped grant
references.

A malicious HVM guest can cause the backend domain to run out of grant
references, leading to a DoS for any other domain which shares that
driver domain.


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 1 Vincent Danen 2013-09-26 12:54:06 EDT
Statement:

Not vulnerable.

This issue does not affect the versions of the xen package as shipped with Red Hat Enterprise Linux 5 as it does not provide support for the qdisk PV backend.

This issue does not affect the versions of qemu-kvm as shipped with Red Hat Enterprise Linux 6 as they did not include the upstream commit that introduced this flaw.

This issue does not affect Red Hat Enterprise MRG 2.
Comment 2 Vincent Danen 2013-10-10 11:00:31 EDT
External Reference:

http://xenbits.xen.org/xsa/advisory-71.html
Comment 4 Vincent Danen 2013-10-10 11:31:48 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1017843]
Comment 5 Vincent Danen 2013-10-10 11:31:56 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1017844]
Comment 6 Fedora Update System 2013-10-22 23:34:35 EDT
xen-4.2.3-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-22 23:41:28 EDT
xen-4.2.3-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.